      SUBROUTINE HLHEAD (JLMAX,LPRNT,N,NREIG,EPS)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLHEAD prints Hermitian-Lanczos header                           *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    JLMAX  (sii) : maximum number of steps                           *
C*    LPRNT  (sii) : printing code                                     *
C*    N      (sii) : dimension of the problem                          *
C*    NREIG  (sii) : number of solutions required                      *
C*    EPS    (sri) : roundoff unit                                     *
C*                                                                     *
C*  - SUBPROGRAM :                                                     *
C*    SIBTST                                                           *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          JLMAX,LPRNT,N,NREIG
      DOUBLE PRECISION EPS
C
C==== subprogram =======================================================
C
      LOGICAL          SIBTST
C
C**** executable statements ********************************************
C
      IF ( SIBTST(1,LPRNT) ) WRITE (*,2500) N,NREIG,JLMAX,LPRNT,EPS
C
 2500 FORMAT ('***********************************************',/ ,
     &        '*                                             *',/ ,
     &        '*        Lanczos Algorithm Eigensolver        *',/ ,
     &        '*        - Complex Hermitian Version -        *',/ ,
     &        '*                                             *',/ ,
     &        '*            CERFACS -- april 1994            *',/ ,
     &        '*                                             *',/ ,
     &        '***********************************************',//,
     &        'dimension of the problem          :',   i09     ,/ ,
     &        'number of solutions required      :',   i09     ,/ ,
     &        'maximum number of steps           :',   i09     ,/ ,
     &        'printing code                     :',   i09     ,/ ,
     &        'roundoff unit                     :',1p,e12.4   ,/ )
C
      RETURN
C
C**** end of HLHEAD ****************************************************
C
      END
