      SUBROUTINE HLPRT1 (JT,LPRNT,BJMIN,NORM,TETA)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLPRT1 prints the current eigenvalue approximations              *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    JT    (sii) : current dimension of the reduced eigenproblem      *
C*    LPRNT (sii) : printing code                                      *
C*    BJMIN (sri) : threshold residual for convergence                 *
c*    NORM  (ari) : residual norms of the eigenpairs                   *
C*    TETA  (ari) : eigenvalues of the the reduced eigenproblem        *
C*                                                                     *
C*  - SUBPROGRAM :                                                     *
C*    SIBTST                                                           *
C*                                                                     *
C*  - INTRINSIC FUNCTION :                                             *
C*    DABS                                                             *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          JT,LPRNT
      DOUBLE PRECISION BJMIN,NORM(JT),TETA(JT)
C
C==== local variables ==================================================
C
      INTEGER          I
C
C==== subprogram =======================================================
C
      LOGICAL          SIBTST
C
C==== intrinsic function ===============================================
C
      INTRINSIC        DABS
C
C**** executable statements ********************************************
C
      IF ( SIBTST(4,LPRNT) ) WRITE (*,2500)  
     &                       BJMIN,(I,TETA(I),DABS(NORM(I)),I=1,JT)
C
 2500 FORMAT ('residual for convergence:',1P,E12.4,/,
     &        'current approximations and residuals:',/,
     &        (3X,SS,I4,1X,1P,SP,E12.4,SS,E12.4))
C
      RETURN
C
C**** end of HLPRT1 ****************************************************
C
      END
