      SUBROUTINE HLPRT2 (JT,EIG,RNRM)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLPRT2 prints the converged eigenvalues of (H)*(x)-eig*(x)=0     *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    JT   (sii) : dimension of the projection                         *
C*    EIG  (ari) : eigenvalues                                         *
C*    RNRM (ari) : residual norms of the eigenpairs                    *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          JT
      DOUBLE PRECISION EIG(*),RNRM(*)
C
C==== local variables ==================================================
C
      INTEGER          I
C
C**** executable statements ********************************************
C
      WRITE (*,2500)
C
      DO 010 I = 1,JT  
	 IF ( RNRM(I) .GT. 0.0D0 ) WRITE (*,2510) EIG(I),RNRM(I)
  010 CONTINUE
C
 2500 FORMAT (/'eigenvalues and residual norms',//'   value       norm')
 2510 FORMAT (1P,SP,E12.4,SS,E12.4)
C
      RETURN
C
C**** end of HLPRT2 ****************************************************
C
      END
