      SUBROUTINE HLRAND (N,NVB,R)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    HLRAND generates starting random vectors                         *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    N   (sii) : dimension of the problem                             *
C*    NVB (sii) : number of vectors in a block                         *
C*    R   (aco) : starting vectors                                     *
C*                                                                     *
C*  - SUBPROGRAM :                                                     *
C*    SIRAND                                                           *
C*                                                                     *
C*  - BLAS kernels :                                                   *
C*    DZASUM,DZNRM2,ZDSCAL                                             *
C*                                                                     *
C*  - INTRINSIC FUNCTION :                                             *
C*    DCMPLX                                                           *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          N,NVB
      COMPLEX*16       R(N,*)
C
C==== local variables ==================================================
C
      INTEGER          I,J
      DOUBLE PRECISION NUMBER,RNORM,RZETA,SUM
C
C==== subprogram =======================================================
C
      DOUBLE PRECISION SIRAND
C
C==== BLAS kernels =====================================================
C
      DOUBLE PRECISION DZASUM,DZNRM2
C
C==== intrinsic function ===============================================
C
      INTRINSIC        DCMPLX
C
C**** executable statements ********************************************
C
C.... check if the starting vectors were given .........................
C
      DO 010 I = 1,NVB         
C
         SUM = DZASUM(N,R(1,I),1)
C
         IF ( SUM .EQ. 0.0D0 ) THEN
C
C.......... initialize function and generate vector ....................
C
            NUMBER = SIRAND(I*N)
C 
            DO 030 J = 1,N
               R(J,I) = DCMPLX(SIRAND(0),SIRAND(0))
  030       CONTINUE
C
         END IF
C
  010 CONTINUE
C
C.... normalize the vector .............................................
C
      RNORM = DZNRM2(N,R,1)
C
      RZETA = 1.0D0/RNORM 
C
      CALL ZDSCAL (N,RZETA,R,1)
C
      RETURN
C
C**** end of HLRAND ****************************************************
C
      END
