      SUBROUTINE IALPHT (JL,JTMAX,NVB,ALPHA,TB) 
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    IALPHT inserts (ALPHA) into (TB)                                 *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    JL    (sii) : current step                                       *
C*    JTMAX (sii) : maximum dimension of (TB)                          *
C*    NVB   (sii) : number of vectors in a block                       *
C*    ALPHA (ari) : matrix (Q')*(R) at step JL                         *
C*    TB    (arb) : block tridiagonal matrix                           *
C*                                                                     *
C***********************************************************************
C*                                                                     *
C*    (TB) at step JL for NVB=3 :                                      *
C*                                                                     *
C*    |    ...        ...        ...        ...    |                   *
C*    |                                            |                   *
C*    | ALPHA(1,1) ALPHA(1,2) ALPHA(1,3) BETA(1,1) |  row JROW+1       *
C*    | ALPHA(2,2) ALPHA(2,3) BETA(1,2)  BETA(2,2) |  row JROW+2       *
C*    | ALPHA(3,3) BETA(1,3)  BETA(2,3)  BETA(3,3) |  row JROW+3       *
C*    |                                            |                   *
C*    |    ...        ...        ...        ...    |                   *
C*                                                                     *
C*          0          1          2         NVB       columns          *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER          JL,JTMAX,NVB
      DOUBLE PRECISION ALPHA(NVB,NVB),TB(JTMAX,0:NVB)
C
C==== local variables ==================================================
C
      INTEGER          I,J,JCOL,JROW
C
C**** executable statements ********************************************
C
      JROW = (JL-1)*NVB
C
      DO 010 I = 1,NVB
	 JCOL = 0
	 JROW = JROW + 1
         DO 020 J = I,NVB
            TB(JROW,JCOL) = ALPHA(I,J)
	    JCOL = JCOL + 1
  020    CONTINUE
  010 CONTINUE
C
      RETURN
C
C**** end of IALPHT ****************************************************
C
      END
