      SUBROUTINE MTXNRM (N,A,WORK,EPS,SVMAX,SVMIN)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    MTXNRM computes the extreme singular values of (A)               *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    N     (sii) : dimension of (A)                                   *
C*    A     (aci) : square array of dimension N                        *
C*    WORK  (acw) : work array                                         *
C*    EPS   (sri) : roundoff unit                                      *
C*    SVMAX (sro) : maximum singular value of (A)                      *
C*    SVMIN (sro) : minimum singular value of (A)                      *
C*                                                                     *
C*  - INTRINSIC FUNCTIONS :                                            *
C*    DABS,DBLE                                                        *
C*                                                                     *
C***********************************************************************
C     
C==== arguments ========================================================
C
      INTEGER          N
      COMPLEX*16       A(N,N),WORK(*)
      DOUBLE PRECISION EPS,SVMAX,SVMIN
C
C==== intrinsic functions ==============================================
C
      INTRINSIC        DABS,DBLE
C
C**** executable statements ********************************************
C
      IF ( N .EQ. 1 ) THEN
C
C....... if n=1, take the absolute values ..............................
C
         SVMIN = DABS(DBLE(A(1,1))) 
         SVMAX = DABS(DBLE(A(1,1))) 
C
      ELSE
C
C....... if n>1, use the subroutines _GEBRD and _BDSQR from LAPACK .....
C
         STOP
C
      END IF
C
      IF ( SVMIN .LT. EPS ) SVMIN = EPS
      IF ( SVMAX .LT. EPS ) SVMAX = EPS
C
      RETURN
C
C**** end of MTXNRM ****************************************************
C
      END
