      SUBROUTINE UDALPH (NVB,ALPHA,BETA,DELTA)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    UDALPH updates (ALPHA) as (ALPHA)=(ALPHA)+(DELTA)*(BETA)         *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    NVB   (sii) : number of vectors in a block                       *
C*    ALPHA (acb) : (Q')*(R) updated                                   *
C*    BETA  (aci) : matrix (BETA) in (R)=(Q)*(BETA) at j-th step       *
C*    DELTA (aci) : residual (ALPHA)                                   *
C*                                                                     *
C*  - BLAS kernel :                                                    *
C*    ZSYMM                                                            *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER    NVB
      COMPLEX*16 ALPHA(NVB,NVB),BETA(NVB,NVB),DELTA(NVB,NVB)
C
C==== local variables ==================================================
C
      COMPLEX*16 ONE
C
C**** executable statements ********************************************
C
      ONE = ( 1.0D0, 0.0D0 )
C
      CALL ZSYMM ('L','U',NVB,NVB,ONE,DELTA,NVB,BETA,NVB,ONE,ALPHA,NVB)
C
      RETURN
C
C**** end of UDALPH ****************************************************
C
      END
