      SUBROUTINE UDBETA (NVB,BETA,DELTA)
C
C***********************************************************************
C*                                                                     *
C*  - PURPOSE :                                                        *
C*    UDBETA updates (BETA) as (BETA)=(DELTA)*(BETA)                   *
C*                                                                     *
C*  - ARGUMENTS :                                                      *
C*    NVB   (sii) : number of vectors in a block                       *
C*    BETA  (aci) : matrix (BETA) in (R)=(Q)*(BETA) at j-th step       *
C*    DELTA (aci) : residual (BETA)                                    *
C*                                                                     *
C*  - BLAS kernel :                                                    *
C*    ZTRMM                                                            *
C*                                                                     *
C***********************************************************************
C
C==== arguments ========================================================
C
      INTEGER    NVB
      COMPLEX*16 BETA(NVB,NVB),DELTA(NVB,NVB)
C
C==== local variables ==================================================
C
      COMPLEX*16 ONE
C
C**** executable statements ********************************************
C
      ONE = ( 1.0D0, 0.0D0 )
C
      CALL ZTRMM ('L','L','T','N',NVB,NVB,ONE,DELTA,NVB,BETA,NVB)
C
      RETURN
C
C**** end of UDBETA ****************************************************
C
      END
